using IoCConcepts.Domain;

namespace IoCConcepts.Repositories {
    public class CustomerRepository : ICustomerRepository {
        private IRepository<Customer> repository;

//        public CustomerRepository() : this(new Repository<Customer>()) {
//        }

        public CustomerRepository(IRepository<Customer> repository)
        {
        }

        public CustomerRepository(IRepository<Customer> repository, ISomeLogger logger) {
        }

        public CustomerRepository() {
            throw new System.NotImplementedException();
        }

        public ISomeOtherLogger SomeOtherLogger { get; private set; }

        public void Save(Customer customer) {
            throw new System.NotImplementedException();
        }
    }

    public interface ISomeOtherLogger {
    }
}